From 55a8655226d09550eee9ec6ec75f6108a1007a08 Mon Sep 17 00:00:00 2001
From: Alexander Chemeris <Alexander.Chemeris@gmail.com>
Date: Sat, 29 Jun 2013 12:49:06 +0400
Subject: [PATCH] contrib: A shell script to send command(s) to
 osmo-nitb/osmo-bts live instances.

---
 openbsc/contrib/send-command.sh |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100755 openbsc/contrib/send-command.sh

diff --git a/openbsc/contrib/send-command.sh b/openbsc/contrib/send-command.sh
new file mode 100755
index 0000000..d99429f
--- /dev/null
+++ b/openbsc/contrib/send-command.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Parameters for NITB:
+PORT=4242
+HOST=localhost
+PROMPT="OpenBSC>"
+
+# Parameters for BTS:
+#PORT=4241
+#HOST=localhost
+#PROMPT="OsmoBTS>"
+
+send_command() {
+  # Echo command to the telnet interface and cut a header before the first
+  # prompt and footer after the second prompt.
+  # "sleep 1" is needed because otherwise telnet closes connection before
+  # the command is executed.
+  (echo $* ; sleep 1 ) |
+    telnet $HOST $PORT 2>&1 |
+    sed '1,/'$PROMPT'/d;/'$PROMPT'/,$d'
+}
+
+# Just forward all command line params to the send_command function
+send_command $*
-- 
1.7.9.5

